Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Interface ITextQueryParameter

    public interface ITextQueryParameter

This is the interface for text query parameter Here is an example of how to use it:

      ITextQuery tQuery = FullTextQueryFactory.getTextQuery();
      ITextQueryParameter ftqp = tQuery.buildEquals("new and cool");
      IFullTextSearch fullTextSearch = FullTextSearchFactory.buildFullTextSearch(null, ftqp, false);
      Search search = new Search(null, -1, null, fullTextSearch, true);
      ISearchManager searchManager = ContentManagerFactory.getSearchManager();
      ContentContext context = new ContentContext();
      IPagedList nodes = searchManager.search(context, search);

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`ITextQueryParameter` | `and(ITextQueryParameter param)` AND two text query parameters
`ITextQueryParameter` | `or(ITextQueryParameter param)` OR two text query parameters

Method Detail

### and

    ITextQueryParameter and(ITextQueryParameter param)

  AND two text query parameters

  Parameters
    `param` -
  Returns
    The ITextQueryParameter AND'd to this object.

### or

    ITextQueryParameter or(ITextQueryParameter param)

  OR two text query parameters

  Parameters
    `param` -
  Returns
    The ITextQueryParameter OR'd to this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.